怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/pugongying/similarBloggers" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"bloggers":["59e97be5e8ac2b6168370b13"]}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/pugongying/similarBloggers",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"bloggers": ["59e97be5e8ac2b6168370b13"],
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/pugongying/similarBloggers", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"bloggers": [
"59e97be5e8ac2b6168370b13"
]
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-21 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-21
{
"data": [
{
"type": "similarBlogger",
"userId": "<masked>",
"url": "<masked>",
"redId": "<masked>",
"nickname": "<masked>",
"avatar": "<masked>",
"location": "<masked>",
"gender": "<masked>",
"followers": 106801,
"likesAndCollects": 1600863,
"sponsoredNoteCount": 35,
"categories": [
"美食"
],
"subCategories": [
"美食教程"
],
"personaTags": [
"咖啡师"
],
"featureTags": [],
"industries": [],
"picturePrice": 9800,
"videoPrice": 9800,
"lowestPrice": 9800,
"medianReads": 2661,
"medianEngagements": 125,
"pictureMedianReads": 0,
"videoMedianReads": 0,
"pictureMedianEngagements": 0,
"videoMedianEngagements": 0,
"medianImpressions": 0,
"sponsoredMedianReads": null,
"sponsoredMedianEngagements": null,
"sponsoredMedianImpressions": 0,
"pictureReadCost": null,
"videoReadCost": null,
"estimatedVideoCpm": 0,
"estimatedVideoEngageCost": 0,
"videoCompletionPct": null,
"thousandLikeNotePct": null,
"hundredLikeNotePct": null,
"followersGrowthPct30d": null,
"activeFollowersPct": null,
"engagedFollowersPct": null,
"inviteReplyPct48h": 0,
"recentNotes": [],
"similarTo": "59e97be5e8ac2b6168370b13"
},
{
"type": "similarBlogger",
"userId": "<masked>",
"url": "<masked>",
"redId": "<masked>",
"nickname": "<masked>",
"avatar": "<masked>",
"location": "<masked>",
"gender": "<masked>",
"followers": 126839,
"likesAndCollects": 904751,
"sponsoredNoteCount": 23,
"categories": [
"美食"
],
"subCategories": [
"美食教程",
"美食探店"
],
"personaTags": [
"咖啡师"
],
"featureTags": [
"教程",
"探店",
"黄皮"
],
"industries": [
"3c及电器",
"食品饮料"
],
"picturePrice": 6800,
"videoPrice": 9800,
"lowestPrice": 6800,
"medianReads": 12983,
"medianEngagements": 277,
"pictureMedianReads": 0,
"videoMedianReads": 0,
"pictureMedianEngagements": 0,
"videoMedianEngagements": 0,
"medianImpressions": 0,
"sponsoredMedianReads": null,
"sponsoredMedianEngagements": null,
"sponsoredMedianImpressions": 0,
"pictureReadCost": null,
"videoReadCost": null,
"estimatedVideoCpm": 0,
"estimatedVideoEngageCost": 0,
"videoCompletionPct": null,
"thousandLikeNotePct": null,
"hundredLikeNotePct": null,
"followersGrowthPct30d": null,
"activeFollowersPct": null,
"engagedFollowersPct": null,
"inviteReplyPct48h": 0,
"recentNotes": [],
"similarTo": "59e97be5e8ac2b6168370b13"
}
],
"cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.025163",
"balance_usd": "9.875000",
"items": 2
}
}字段 42
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | similarBlogger |
| userId | string | <masked> |
| url | string | <masked> |
| redId | string | <masked> |
| nickname | string | <masked> |
| avatar | string | <masked> |
| location | string | <masked> |
| gender | string | <masked> |
| followers | number | 106801 |
| likesAndCollects | number | 1600863 |
| sponsoredNoteCount | number | 35 |
| categories | array | ["美食"] |
| subCategories | array | ["美食教程"] |
| personaTags | array | ["咖啡师"] |
| featureTags | array | [] |
| industries | array | [] |
| picturePrice | number | 9800 |
| videoPrice | number | 9800 |
| lowestPrice | number | 9800 |
| medianReads | number | 2661 |
| medianEngagements | number | 125 |
| pictureMedianReads | number | 0 |
| videoMedianReads | number | 0 |
| pictureMedianEngagements | number | 0 |
| videoMedianEngagements | number | 0 |
| medianImpressions | number | 0 |
| sponsoredMedianReads | null | null |
| sponsoredMedianEngagements | null | null |
| sponsoredMedianImpressions | number | 0 |
| pictureReadCost | null | null |
| videoReadCost | null | null |
| estimatedVideoCpm | number | 0 |
| estimatedVideoEngageCost | number | 0 |
| videoCompletionPct | null | null |
| thousandLikeNotePct | null | null |
| hundredLikeNotePct | null | null |
| followersGrowthPct30d | null | null |
| activeFollowersPct | null | null |
| engagedFollowersPct | null | null |
| inviteReplyPct48h | number | 0 |
| recentNotes | array | [] |
| similarTo | string | 59e97be5e8ac2b6168370b13 |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个值。 | 5 |
| bloggers | array | 是 | 博主用户 ID(24 位字符,即搜索结果里的 `userId`)或小红书主页链接,例如 https://www.xiaohongshu.com/user/profile/59e97be5e8ac2b6168370b13。 | ["59e97be5e8ac2b6168370b13"] |
翻页
把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。
JavaScript
const params = {"bloggers":["59e97be5e8ac2b6168370b13"]};
const records = [];
let cursor = null;
do {
const response = await fetch("https://api.silklinedata.com/v1/pugongying/similarBloggers", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
});
const answer = await response.json();
records.push(...answer.data);
cursor = answer.cursor;
} while (cursor);
console.log(records.length);一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口一页最多 4 条,每页最低收费 $0.025163;要 100 条的请求会取 25 页。
- 1 条:最多 $0.025163
- 20 条:最多 $0.184
- 100 条:最多 $0.92
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「相似博主」要传哪些参数?
必填:bloggers。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 4 条,要 100 条时一次请求取 25 页。
能接着往后取吗?
能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。
怎么收费?
每条 记录 $0.0092。每页最低收费 $0.025163:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.92。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。